## netdata 1.12.0

=== CMakeLists.txt ===

# SPDX-License-Identifier: GPL-3.0-or-later
# This file is only used for development (netdata in Clion)
# It can build netdata, but you are on your own...

cmake_minimum_required(VERSION 3.0.2)
project(netdata C)

find_package(Threads REQUIRED)
find_package(PkgConfig REQUIRED)

# default is "Debug"
#set(CMAKE_BUILD_TYPE "Release")

# set this to see the compilation commands
# set(CMAKE_VERBOSE_MAKEFILE 1)


# -----------------------------------------------------------------------------
# Set compilation options according to build type

IF("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
    message(STATUS "building for: debugging")

    ## unfortunately these produce errors
    #include(CheckCXXCompilerFlag)
    #CHECK_CXX_COMPILER_FLAG("-Wformat-signedness" CXX_FORMAT_SIGNEDNESS)
    #CHECK_CXX_COMPILER_FLAG("-Werror=format-security" CXX_FORMAT_SECURITY)
    #CHECK_CXX_COMPILER_FLAG("-fstack-protector-all" CXX_STACK_PROTECTOR)
    set(CXX_FORMAT_SIGNEDNESS "-Wformat-signedness")
    set(CXX_FORMAT_SECURITY "-Werror=format-security")
    set(CXX_STACK_PROTECTOR "-fstack-protector-all")
    set(CXX_FLAGS_DEBUG "-O0")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O1 -ggdb -Wall -Wextra -DNETDATA_INTERNAL_CHECKS=1 -DNETDATA_VERIFY_LOCKS=1 ${CXX_FORMAT_SIGNEDNESS} ${CXX_FORMAT_SECURITY} ${CXX_STACK_PROTECTOR} ${CXX_FLAGS_DEBUG}")
ELSE()
    message(STATUS "building for: release")
    cmake_policy(SET CMP0069 "NEW")
    include(CheckIPOSupported)
    check_ipo_supported(RESULT ipo_supported OUTPUT error)
    IF(${ipo_supported})
        message(STATUS "link time optimization: supported")
        set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
    ELSE()
        message(STATUS "link time optimization: not supported")
    ENDIF()
ENDIF()


# -----------------------------------------------------------------------------
# O/S Detection

# these are defined in common.h too
SET(LINUX   False)
SET(FREEBSD False)
SET(MACOS   False)

# Detect the operating system
IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    SET(TARGET_OS_NAME "macos")
    SET(TARGET_OS 3)
    SET(MACOS True)
ELSEIF(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    SET(TARGET_OS_NAME "freebsd")
    SET(TARGET_OS 2)
    SET(FREEBSD True)
ELSE()
    SET(TARGET_OS_NAME "linux")
    SET(TARGET_OS 1)
    SET(LINUX True)
ENDIF()

# show the operating system on the console
message(STATUS "operating system: ${TARGET_OS_NAME} (TARGET_OS=${TARGET_OS})")


# -----------------------------------------------------------------------------
# Detect libuuid

pkg_check_modules(UUID REQUIRED uuid)
set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${UUID_CFLAGS_OTHER})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${UUID_LIBRARIES})
set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${UUID_INCLUDE_DIRS})

# -----------------------------------------------------------------------------
# Detect libz

pkg_check_modules(ZLIB REQUIRED zlib)
set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${ZLIB_CFLAGS_OTHER})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${ZLIB_LIBRARIES})
set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${ZLIB_INCLUDE_DIRS})


# -----------------------------------------------------------------------------
# Detect libcap

IF(LINUX)
    pkg_check_modules(CAP QUIET libcap)
    # later we use:
    # ${CAP_LIBRARIES}
    # ${CAP_CFLAGS_OTHER}
    # ${CAP_INCLUDE_DIRS}
ENDIF(LINUX)


# -----------------------------------------------------------------------------
# Detect libipmimonitoring

IF(LINUX)
    pkg_check_modules(IPMI libipmimonitoring)
    # later we use:
    # ${IPMI_LIBRARIES}
    # ${IPMI_CFLAGS_OTHER}
    # ${IPMI_INCLUDE_DIRS}
ENDIF(LINUX)


# -----------------------------------------------------------------------------
# Detect libmnl
IF(LINUX)
    pkg_check_modules(MNL libmnl)
    # later we use:
    # ${MNL_LIBRARIES}
    # ${MNL_CFLAGS_OTHER}
    # ${MNL_INCLUDE_DIRS}
ENDIF(LINUX)


# -----------------------------------------------------------------------------
# Detect libmnl

pkg_check_modules(NFACCT libnetfilter_acct)
# later we use:
# ${NFACCT_LIBRARIES}
# ${NFACCT_CFLAGS_OTHER}
# ${NFACCT_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect MacOS IOKit/Foundation framework

IF(MACOS)
    find_library(IOKIT IOKit)
    find_library(FOUNDATION Foundation)
    # later we use:
    # ${FOUNDATION}
    # ${IOKIT}
ENDIF(MACOS)


# -----------------------------------------------------------------------------
# netdata files

set(LIBNETDATA_FILES
        libnetdata/adaptive_resortable_list/adaptive_resortable_list.c
        libnetdata/adaptive_resortable_list/adaptive_resortable_list.h
        libnetdata/config/appconfig.c
        libnetdata/config/appconfig.h
        libnetdata/avl/avl.c
        libnetdata/avl/avl.h
        libnetdata/buffer/buffer.c
        libnetdata/buffer/buffer.h
        libnetdata/clocks/clocks.c
        libnetdata/clocks/clocks.h
        libnetdata/dictionary/dictionary.c
        libnetdata/dictionary/dictionary.h
        libnetdata/eval/eval.c
        libnetdata/eval/eval.h
        libnetdata/inlined.h
        libnetdata/libnetdata.c
        libnetdata/libnetdata.h
        libnetdata/locks/locks.c
        libnetdata/locks/locks.h
        libnetdata/log/log.c
        libnetdata/log/log.h
        libnetdata/os.c
        libnetdata/os.h
        libnetdata/popen/popen.c
        libnetdata/popen/popen.h
        libnetdata/procfile/procfile.c
        libnetdata/procfile/procfile.h
        libnetdata/simple_pattern/simple_pattern.c
        libnetdata/simple_pattern/simple_pattern.h
        libnetdata/socket/socket.c
        libnetdata/socket/socket.h
        libnetdata/statistical/statistical.c
        libnetdata/statistical/statistical.h
        libnetdata/storage_number/storage_number.c
        libnetdata/storage_number/storage_number.h
        libnetdata/threads/threads.c
        libnetdata/threads/threads.h
        libnetdata/url/url.c
        libnetdata/url/url.h
        )

add_library(libnetdata OBJECT ${LIBNETDATA_FILES})

set(APPS_PLUGIN_FILES
        collectors/apps.plugin/apps_plugin.c
        )

set(CHECKS_PLUGIN_FILES
        collectors/checks.plugin/plugin_checks.c
        collectors/checks.plugin/plugin_checks.h
        )

set(FREEBSD_PLUGIN_FILES
        collectors/freebsd.plugin/plugin_freebsd.c
        collectors/freebsd.plugin/plugin_freebsd.h
        collectors/freebsd.plugin/freebsd_sysctl.c
        collectors/freebsd.plugin/freebsd_getmntinfo.c
        collectors/freebsd.plugin/freebsd_getifaddrs.c
        collectors/freebsd.plugin/freebsd_devstat.c
        collectors/freebsd.plugin/freebsd_kstat_zfs.c
        collectors/freebsd.plugin/freebsd_ipfw.c
        collectors/proc.plugin/zfs_common.c
        collectors/proc.plugin/zfs_common.h
        )

set(HEALTH_PLUGIN_FILES
        health/health.c
        health/health.h
        health/health_config.c
        health/health_json.c
        health/health_log.c)

set(IDLEJITTER_PLUGIN_FILES
        collectors/idlejitter.plugin/plugin_idlejitter.c
        collectors/idlejitter.plugin/plugin_idlejitter.h
        )

set(CGROUPS_PLUGIN_FILES
        collectors/cgroups.plugin/sys_fs_cgroup.c
        collectors/cgroups.plugin/sys_fs_cgroup.h
        )

set(CGROUP_NETWORK_FILES
        collectors/cgroups.plugin/cgroup-network.c
        )

set(DISKSPACE_PLUGIN_FILES
        collectors/diskspace.plugin/plugin_diskspace.h
        collectors/diskspace.plugin/plugin_diskspace.c
        )

set(FREEIPMI_PLUGIN_FILES
        collectors/freeipmi.plugin/freeipmi_plugin.c
        )

set(NFACCT_PLUGIN_FILES
        collectors/nfacct.plugin/plugin_nfacct.c
        collectors/nfacct.plugin/plugin_nfacct.h
        )

set(PROC_PLUGIN_FILES
        collectors/proc.plugin/ipc.c
        collectors/proc.plugin/plugin_proc.c
        collectors/proc.plugin/plugin_proc.h
        collectors/proc.plugin/proc_diskstats.c
        collectors/proc.plugin/proc_mdstat.c
        collectors/proc.plugin/proc_interrupts.c
        collectors/proc.plugin/proc_softirqs.c
        collectors/proc.plugin/proc_loadavg.c
        collectors/proc.plugin/proc_meminfo.c
        collectors/proc.plugin/proc_net_dev.c
        collectors/proc.plugin/proc_net_ip_vs_stats.c
        collectors/proc.plugin/proc_net_netstat.c
        collectors/proc.plugin/proc_net_rpc_nfs.c
        collectors/proc.plugin/proc_net_rpc_nfsd.c
        collectors/proc.plugin/proc_net_snmp.c
        collectors/proc.plugin/proc_net_snmp6.c
        collectors/proc.plugin/proc_net_sctp_snmp.c
        collectors/proc.plugin/proc_net_sockstat.c
        collectors/proc.plugin/proc_net_sockstat6.c
        collectors/proc.plugin/proc_net_softnet_stat.c
        collectors/proc.plugin/proc_net_stat_conntrack.c
        collectors/proc.plugin/proc_net_stat_synproxy.c
        collectors/proc.plugin/proc_self_mountinfo.c
        collectors/proc.plugin/proc_self_mountinfo.h
        collectors/proc.plugin/zfs_common.c
        collectors/proc.plugin/zfs_common.h
        collectors/proc.plugin/proc_spl_kstat_zfs.c
        collectors/proc.plugin/proc_stat.c
        collectors/proc.plugin/proc_sys_kernel_random_entropy_avail.c
        collectors/proc.plugin/proc_vmstat.c
        collectors/proc.plugin/proc_uptime.c
        collectors/proc.plugin/sys_kernel_mm_ksm.c
        collectors/proc.plugin/sys_devices_system_edac_mc.c
        collectors/proc.plugin/sys_devices_system_node.c
        collectors/proc.plugin/sys_fs_btrfs.c
        collectors/proc.plugin/sys_class_power_supply.c
        )

set(TC_PLUGIN_FILES
        collectors/tc.plugin/plugin_tc.c
        collectors/tc.plugin/plugin_tc.h
        )

set(MACOS_PLUGIN_FILES
        collectors/macos.plugin/plugin_macos.c
        collectors/macos.plugin/plugin_macos.h
        collectors/macos.plugin/macos_sysctl.c
        collectors/macos.plugin/macos_mach_smi.c
        collectors/macos.plugin/macos_fw.c
        )

set(PLUGINSD_PLUGIN_FILES
        collectors/plugins.d/plugins_d.c
        collectors/plugins.d/plugins_d.h
        )

set(REGISTRY_PLUGIN_FILES
        registry/registry.c
        registry/registry.h
        registry/registry_db.c
        registry/registry_init.c
        registry/registry_internals.c
        registry/registry_internals.h
        registry/registry_log.c
        registry/registry_machine.c
        registry/registry_machine.h
        registry/registry_person.c
        registry/registry_person.h
        registry/registry_url.c
        registry/registry_url.h
        )

set(STATSD_PLUGIN_FILES
        collectors/statsd.plugin/statsd.c
        collectors/statsd.plugin/statsd.h
        )

set(RRD_PLUGIN_FILES
        database/rrdcalc.c
        database/rrdcalc.h
        database/rrdcalctemplate.c
        database/rrdcalctemplate.h
        database/rrddim.c
        database/rrddimvar.c
        database/rrddimvar.h
        database/rrdfamily.c
        database/rrdhost.c
        database/rrd.c
        database/rrd.h
        database/rrdset.c
        database/rrdsetvar.c
        database/rrdsetvar.h
        database/rrdvar.c
        database/rrdvar.h
        )

set(WEB_PLUGIN_FILES
        web/server/web_client.c
        web/server/web_client.h
        web/server/web_server.c
        web/server/web_server.h
        web/server/static/static-threaded.c
        web/server/static/static-threaded.h
        web/server/web_client_cache.c
        web/server/web_client_cache.h
        )

set(API_PLUGIN_FILES
        web/api/web_api_v1.c
        web/api/web_api_v1.h
        web/api/badges/web_buffer_svg.c
        web/api/badges/web_buffer_svg.h
        web/api/exporters/allmetrics.c
        web/api/exporters/allmetrics.h
        web/api/exporters/shell/allmetrics_shell.c
        web/api/exporters/shell/allmetrics_shell.h
        web/api/queries/rrdr.c
        web/api/queries/rrdr.h
        web/api/queries/query.c
        web/api/queries/query.h
        web/api/queries/average/average.c

=== docs/generator/requirements.txt ===
mkdocs>=1.0.1
mkdocs-material

=== tests/profile/Makefile ===
# SPDX-License-Identifier: GPL-3.0-or-later

COMMON_CFLAGS = -I ../../ -DTARGET_OS=1  -Wall -Wextra
PROFILE_CFLAGS = -O1 -ggdb $(COMMON_CFLAGS)
PERFORMANCE_CFLAGS = -O2 $(COMMON_CFLAGS)

CFLAGS = $(PERFORMANCE_CFLAGS)

LIBNETDATA_FILES = \
    ../../libnetdata/popen/popen.o \
    ../../libnetdata/storage_number/storage_number.o \
    ../../libnetdata/avl/avl.o \
    ../../libnetdata/socket/socket.o \
    ../../libnetdata/os.o \
    ../../libnetdata/clocks/clocks.o \
    ../../libnetdata/procfile/procfile.o \
    ../../libnetdata/statistical/statistical.o \
    ../../libnetdata/eval/eval.o \
    ../../libnetdata/threads/threads.o \
    ../../libnetdata/dictionary/dictionary.o \
    ../../libnetdata/simple_pattern/simple_pattern.o \
    ../../libnetdata/url/url.o \
    ../../libnetdata/config/appconfig.o \
    ../../libnetdata/libnetdata.o \
    ../../libnetdata/buffer/buffer.o \
    ../../libnetdata/adaptive_resortable_list/adaptive_resortable_list.o \
    ../../libnetdata/locks/locks.o \
    ../../libnetdata/log/log.o \
    $(NULL)

COMMON_LDFLAGS = $(LIBNETDATA_FILES) -pthread -lm

all: statsd-stress benchmark-procfile-parser test-eval benchmark-dictionary benchmark-value-pairs

benchmark-procfile-parser: benchmark-procfile-parser.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}

benchmark-dictionary: benchmark-dictionary.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}

benchmark-value-pairs: benchmark-value-pairs.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}

statsd-stress: statsd-stress.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}

test-eval: test-eval.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}


clean:
	rm -f benchmark-procfile-parser statsd-stress test-eval benchmark-dictionary benchmark-value-pairs

=== debian/changelog ===
netdata (1.12.0-1) unstable; urgency=medium

  * Merging upstream version 1.12.0.
  * Adding TODO file.
  * Merging changelog from uploads to experimental.
  * Updating copyright for new upstream version.
  * Adding stanza for glyphicons in copyright file.
  * Merging patches from experimental branch for new netdata upstream
    version.
  * Updating build-out-of-tree hacks in rules.
  * Updating node plugins install file for upstream changes.
  * Correcting wrong if statements in rules so that netdata-core-no-sse
    actually gets binaries installed (Closes: #921649).
  * Harmonizing path in install files to fix FTBFS.
  * Updating TODO file.
  * Workarounding different source directories and debhelper install files
    FTBFS by installing netdata.conf manually.
  * Correcting makefile conditionals for netdata-core-no-sse handling in
    rules again to make them actually work.
  * Enabling building of freeipmi plugin on netdata-core-no-sse too.
  * Updating manpage for current upstream version.
  * Updating watch file for non-repackaged upstream tarballs.
  * Moving files not directly interpreted by debhelper to subdirectories
    within the debian packaging.
  * Adding provides for netdata-plugins in control.
  * Shamelessly adding myself in copyright.
  * Sorting patches into comonly used subdirectories.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 10 Feb 2019 13:30:34 +0100

netdata (1.11.1+dfsg-7) unstable; urgency=high

  * Marking sse2-support depends as i386-only.
  * Correcting wrong bugnumer in previous changelog.
  * Removing ExecReload from systemd unit (Closes: #921279).
  * Removing netdata user on purge, not on remove to make logrotate not
    fail on missing users (Closes: #920697).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Feb 2019 12:43:11 +0100

netdata (1.11.1+dfsg-6) unstable; urgency=high

  * Disabling gitlab-ci for the moment until we get it working.
  * Fixing rules when building binary-any only (Closes: #920837).
  * Using consistent naming for internal build directories.
  * Disabling debhelper verbose output during build.
  * Updating copyright file with missing entries (Closes: #920671).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Feb 2019 13:29:18 +0100

netdata (1.11.1+dfsg-5) unstable; urgency=medium

  * Moving netdata plugins to /usr/lib/netdata.
  * Renaming netdata-data to netdata-web.
  * Moving architecture-independent plugins to interpreter specific
    netdata-plugins packages to installations with targeted/minimized
    depends.
  * Renaming netdata to netdata-core, making netdata a meta package
    depending on the (typical) netdata components that it contained before
    the package reshuffeling.
  * Renumbering patches.
  * Adding netdata-core-no-sse on i386 with SSE2 optimizations turned off.
  * Updating TODO file.
  * Updating depends between packages for binNMU-safety.
  * Removing TODO file, keeping it in the experimental branch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 27 Jan 2019 21:52:00 +0100

netdata (1.12.0~rc3-2) experimental; urgency=medium

  * Repeating Section for binary packages in control.
  * Reordering, formating and ordering maintainer scripts to make them
    more robust (Closes: #919973).
  * Correcting spelling typo in netdata.conf comments.
  * Sorting netdata.install file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 27 Jan 2019 12:42:30 +0100

netdata (1.12.0~rc3-1) experimental; urgency=medium

  * Merging upstream version 1.12.0~rc3.
  * Removing debian-use-system-packaging.patch, not needed anymore.
  * Refreshing debian-use-system-python.patch.
  * Refreshing debian-use-system-exim4.patch.
  * Refreshing debian-use-python3.patch.
  * Refreshing debian-remove-infographic.patch.
  * Refreshing debian-remove-contrib-files.patch.
  * Refreshing netdata-support-symlinks.patch.
  * Refreshing gui-remove-update-button.patch.
  * Refreshing gui-remove-social-media-buttons.patch.
  * Renumbering patches.
  * Adding glyphicons to debian/copyright.
  * Removing notes about files excluded from the upstream tarball as the
    unmodified upstream tarball is used instead.
  * Updating todo file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 20 Jan 2019 10:23:51 +0100

=== debian/control ===
Source: netdata
Section: net
Priority: optional
Maintainer: Lennart Weller <lhw@ring0.de>
Uploaders:
 Federico Ceratto <federico@debian.org>,
 Daniel Baumann <daniel.baumann@progress-linux.org>,
Build-Depends:
 debhelper-compat (= 12),
 libipmimonitoring-dev,
 pkg-config,
 uuid-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://github.com/netdata/netdata
Vcs-Browser: https://salsa.debian.org/debian/netdata
Vcs-Git: https://salsa.debian.org/debian/netdata.git

Package: netdata
Section: net
Architecture: all
Depends:
 netdata-core | netdata-core-no-sse,
 netdata-plugins-bash,
 netdata-web,
 ${misc:Depends},
Recommends:
 netdata-plugins-nodejs,
 netdata-plugins-python,
Description: real-time performance monitoring (metapackage)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 It can run autonomously without any third party components or it can be
 integrated to existing monitoring tool chains (Prometheus, Graphite,
 OpenTSDB, Kafka, Grafana, etc).
 .
 This package is a metapackage depending on the typical netdata components.

Package: netdata-core
Section: net
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libcap2-bin,
 lsb-base,
 sse2-support [i386],
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 netdata-core-no-sse,
Replaces:
 netdata-core-no-sse,
Recommends:
 curl,
Breaks:
 netdata (<< 1.11.1+dfsg-5~),
Description: real-time performance monitoring (core)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the minimal core build with SSE2 optimizations for
 current systems.

Package: netdata-core-no-sse
Section: net
Architecture: i386
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libcap2-bin,
 lsb-base,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 netdata-core,
Replaces:
 netdata-core,
Recommends:
 curl,
Breaks:
 netdata (<< 1.11.1+dfsg-5~),
Description: real-time performance monitoring (core, no-sse build)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the minimal core build without SSE2 optimizations for
 old systems. If unsure, use netdata-core instead.

Package: netdata-plugins-bash
Section: net
Architecture: all
Multi-Arch: foreign
Depends:
 bash,
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 ${misc:Depends},
Suggests:
 fping,
Provides:
 netdata-plugins,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Description: real-time performance monitoring (bash plugins)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the plugins using bash.

Package: netdata-plugins-nodejs
Section: net
Architecture: all
Multi-Arch: foreign
Depends:
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 nodejs,
 ${misc:Depends},
Provides:
 netdata-plugins,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Description: real-time performance monitoring (nodejs plugins)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the plugins using nodejs.

Package: netdata-plugins-python
Section: net
Architecture: all
Multi-Arch: foreign
Depends:
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 python3,
 python3-six,
 python3-urllib3 (>= 1.22),
 python3-yaml,
 ${misc:Depends},
Provides:
 netdata-plugins,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Description: real-time performance monitoring (python plugins)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the plugins using python.

Package: netdata-web
Section: net
Architecture: all
Depends:
 fonts-font-awesome,
 libjs-bootstrap,
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 ${misc:Depends},
Conflicts:
 netdata-data,
Replaces:
 netdata-data,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Description: real-time performance monitoring (web)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the web frontend.

=== debian/rules ===
#!/usr/bin/make -f

TOP = $(CURDIR)/debian/netdata

PACKAGES := $(shell dh_listpackages -a)

VERSION := $(shell dpkg-parsechangelog -SVersion)
VERSION_MAJOR := $(word 1, $(subst ., ,$(VERSION)))
VERSION_MINOR := $(word 2, $(subst ., ,$(VERSION)))
VERSION_FIX := $(word 3, $(subst -, ,$(subst ., ,$(VERSION))))
VERSION_SUFFIX := -$(word 4, $(subst -, ,$(subst ., ,$(VERSION))))

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -O3
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_autoreconf:
	rm -f debian/configure.ac.orig
	cp configure.ac debian/configure.ac.orig

	sed -i	-e 's/^\(define(\[VERSION_MAJOR]\).*/\1, [$(VERSION_MAJOR)])/' \
		-e 's/^\(define(\[VERSION_MINOR]\).*/\1, [$(VERSION_MINOR)])/' \
		-e 's/^\(define(\[VERSION_FIX]\).*/\1, [$(VERSION_FIX)])/' \
		-e 's/^\(define(\[VERSION_SUFFIX]\).*/\1, [$(VERSION_SUFFIX)])/' \
	configure.ac

	dh_autoreconf

override_dh_autoreconf_clean:
	if [ -e debian/configure.ac.orig ]; \
	then \
		rm -f configure.ac; \
		mv debian/configure.ac.orig configure.ac; \
	fi

	dh_autoreconf_clean

override_dh_auto_clean:
	dh_auto_clean

	rm -rf build-core
	rm -rf build-core-no-sse debian/tmp-core-no-sse

override_dh_auto_configure:
	mkdir -p build-core
	dh_auto_configure -B build-core -- --libdir=/usr/lib --libexecdir=/usr/lib --enable-x86-sse --enable-plugin-freeipmi --with-math
	cp -a tests build-core
	cp -a web/gui/src build-core/web/gui

ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	mkdir -p build-core-no-sse
	dh_auto_configure -B build-core-no-sse -- --libdir=/usr/lib --libexecdir=/usr/lib --disable-x86-sse --enable-plugin-freeipmi --with-math
	cp -a tests build-core-no-sse
	cp -a web/gui/src build-core-no-sse/web/gui
endif

override_dh_auto_build:
	dh_auto_build -B build-core

ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	dh_auto_build -B build-core-no-sse
endif

override_dh_auto_install:
	dh_auto_install -B build-core -- DESTDIR=$(CURDIR)/debian/tmp

ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	dh_auto_install -B build-core-no-sse -- DESTDIR=$(CURDIR)/debian/tmp-core-no-sse
endif

override_dh_install-arch:
	find debian/tmp -name .keep -delete

	# Copy architecture dependent plugins
	mkdir -p $(TOP)-core/etc/netdata
	cp debian/local/netdata.conf $(TOP)-core/etc/netdata

	mkdir -p $(TOP)-core/usr/lib/netdata/plugins.d
	for plugin in cgroup-network apps.plugin freeipmi.plugin; \
	do \
		cp debian/tmp/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-core/usr/lib/netdata/plugins.d; \
	done

ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	find debian/tmp-core-no-sse -name .keep -delete
	dh_install -p netdata-core-no-sse --sourcedir=debian/tmp-core-no-sse

	mkdir -p $(TOP)-core-no-sse/etc/netdata
	cp debian/local/netdata.conf $(TOP)-core-no-sse/etc/netdata

	mkdir -p $(TOP)-core-no-sse/usr/lib/netdata/plugins.d
	for plugin in cgroup-network apps.plugin freeipmi.plugin; \
	do \
		cp debian/tmp-core-no-sse/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-core-no-sse/usr/lib/netdata/plugins.d; \
	done

	dh_install -a --remaining-packages
else
	dh_install -a
endif

override_dh_install-indep:
	find debian/tmp -name .keep -delete

	dh_install -i

	# Move architecture dependent plugins
	mkdir -p $(TOP)-core/usr/lib/netdata/plugins.d
	for plugin in cgroup-network apps.plugin freeipmi.plugin; \
	do \
		mv -f $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-core/usr/lib/netdata/plugins.d; \
	done

	mkdir -p $(TOP)-plugins-nodejs/usr/lib/netdata/plugins.d
	for plugin in node.d.plugin; \
	do \
		mv $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-plugins-nodejs/usr/lib/netdata/plugins.d; \
	done

	mkdir -p $(TOP)-plugins-python/usr/lib/netdata/plugins.d
	for plugin in python.d.plugin; \
	do \
		mv $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-plugins-python/usr/lib/netdata/plugins.d; \
	done

	# Setting package version (update check)
	echo $(VERSION) > $(TOP)-web/usr/share/netdata/web/version.txt

override_dh_installinit:
	dh_installinit -p netdata-core --name=netdata
	dh_installinit -p netdata-core-no-sse --name=netdata
	dh_installinit --remaining-packages

override_dh_installsystemd:
	dh_installsystemd -p netdata-core --name=netdata
	dh_installsystemd -p netdata-core-no-sse --name=netdata
	dh_installinit --remaining-packages

override_dh_installlogrotate:
	dh_installlogrotate -p netdata-core --name=netdata
	dh_installlogrotate -p netdata-core-no-sse --name=netdata
	dh_installlogrotate --remaining-packages

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-arch:
	dh_fixperms -a

	# apps.plugin should only be runnable by the netdata user. It will be
	# given extra capabilities in the postinst script.
	chmod 0754 $(TOP)-core/usr/lib/netdata/plugins.d/apps.plugin
	chmod 4754 $(TOP)-core/usr/lib/netdata/plugins.d/freeipmi.plugin
ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	chmod 0754 $(TOP)-core-no-sse/usr/lib/netdata/plugins.d/apps.plugin
	chmod 4754 $(TOP)-core-no-sse/usr/lib/netdata/plugins.d/freeipmi.plugin
endif

override_dh_fixperms-indep:
	dh_fixperms -i

	# apps.plugin should only be runnable by the netdata user. It will be
	# given extra capabilities in the postinst script.
	chmod 0644 $(TOP)-plugins-bash/usr/lib/netdata/charts.d/*.sh
	chmod 0644 $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/*.sh.inc
	chmod 0644 $(TOP)-plugins-python/usr/lib/netdata/python.d/*.py

## netdata 1.12.1

=== debian/changelog ===
netdata (1.12.1-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Federico Ceratto <federico@debian.org>  Sat, 02 Mar 2019 08:34:01 +0000

netdata (1.12.1-2) unstable; urgency=medium

  * Downgrading nodejs depends in netdata-plugins-nodejs to recommends as
    not all architectures have nodejs at the moment.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 27 Feb 2019 22:09:05 +0100

netdata (1.12.1-1) unstable; urgency=medium

  [ Lennart Weller ]
  * Add patch to remove Google Analytics from generated docs

  [ Daniel Baumann ]
  * Rediffing remove-googleanalytics.patch.
  * Opting out by default from sending anonymous statistics (Closes: #923114).
  * Merging upstream version 1.12.1.
  * Refreshing remove-googleanalytics.patch for new upstream version.
  * Updating lintian overrides.
  * Removing currently usless depends on bash as it's still an essential
    package.
  * Adding missing GPL-3-only license stanza in copyright file.
  * Debranding license references in copyright.
  * Updating TODO file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 24 Feb 2019 21:32:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
  Federico Ceratto <federico@debian.org>,
  Daniel Baumann <daniel.baumann@progress-linux.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 10~),
  libipmimonitoring-dev,
  pkg-config,
  uuid-dev,
  zlib1g-dev,
-Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: https://github.com/netdata/netdata
 Vcs-Browser: https://salsa.debian.org/debian/netdata
@@ -97,7 +96,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- bash,
  netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
  ${misc:Depends},
 Suggests:
@@ -120,8 +118,9 @@
 Multi-Arch: foreign
 Depends:
  netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
+ ${misc:Depends},
+Recommends:
  nodejs,
- ${misc:Depends},
 Provides:
  netdata-plugins,
 Enhances:

## netdata 1.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -248,7 +248,6 @@
 
 set(NFACCT_PLUGIN_FILES
         collectors/nfacct.plugin/plugin_nfacct.c
-        collectors/nfacct.plugin/plugin_nfacct.h
         )
 
 set(PROC_PLUGIN_FILES
@@ -373,3 +372,4 @@
         web/api/queries/query.c
         web/api/queries/query.h
         web/api/queries/average/average.c
+        web/api/queries/average/average.h

=== debian/changelog ===
netdata (1.12.2-2) unstable; urgency=medium

  [ Federico Ceratto ]
  * Add patch to remove Sign In button

  [ Daniel Baumann ]
  * When disabling the 'Sign In' button on the right side, only turn it
    off in the javascript and keep the html unmodified.
  * Sorting patch series.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 16:46:44 +0100

netdata (1.12.2-1) unstable; urgency=medium

  * Merging upstream version 1.12.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 28 Feb 2019 22:18:45 +0100

## netdata 1.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # This file is only used for development (netdata in Clion)
 # It can build netdata, but you are on your own...
 
-cmake_minimum_required(VERSION 3.0.2)
-project(netdata C)
+cmake_minimum_required(VERSION 3.1.0)
+project(netdata C CXX)
 
 find_package(Threads REQUIRED)
 find_package(PkgConfig REQUIRED)
@@ -89,6 +89,55 @@
 set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${ZLIB_LIBRARIES})
 set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${ZLIB_INCLUDE_DIRS})
 
+# -----------------------------------------------------------------------------
+# libuv multi-platform support library with a focus on asynchronous I/O
+
+pkg_check_modules(LIBUV REQUIRED libuv)
+set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${LIBUV_CFLAGS_OTHER})
+set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${LIBUV_LIBRARIES})
+set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${LIBUV_INCLUDE_DIRS})
+
+# -----------------------------------------------------------------------------
+# lz4 Extremely Fast Compression algorithm
+
+pkg_check_modules(LIBLZ4 REQUIRED liblz4)
+set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${LIBLZ4_CFLAGS_OTHER})
+set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${LIBLZ4_LIBRARIES})
+set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${LIBLZ4_INCLUDE_DIRS})
+
+# -----------------------------------------------------------------------------
+# Judy General purpose dynamic array
+
+# pkgconfig not working in Ubuntu, why? upstream package broken?
+#pkg_check_modules(JUDY REQUIRED Judy)
+#set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${JUDY_CFLAGS_OTHER})
+#set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${JUDY_LIBRARIES})
+#set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${JUDY_INCLUDE_DIRS})
+set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} "-lJudy")
+set(CMAKE_REQUIRED_LIBRARIES "Judy")
+check_symbol_exists("JudyLLast" "Judy.h" HAVE_JUDY)
+IF(HAVE_JUDY)
+    message(STATUS "Judy library found")
+ELSE()
+    message( FATAL_ERROR "libJudy required but not found. Try installing 'libjudy-dev' or 'Judy-devel'." )
+ENDIF()
+
+# -----------------------------------------------------------------------------
+# OpenSSL Cryptography and SSL/TLS Toolkit
+
+pkg_check_modules(OPENSSL REQUIRED openssl)
+set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${OPENSSL_CFLAGS_OTHER})
+set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${OPENSSL_LIBRARIES})
+set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${OPENSSL_INCLUDE_DIRS})
+
+# -----------------------------------------------------------------------------
+# JSON-C used to health
+
+pkg_check_modules(JSON REQUIRED json-c)
+set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${JSONC_CFLAGS_OTHER})
+set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${JSON_LIBRARIES})
+set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${JSON_INCLUDE_DIRS})
+
 
 # -----------------------------------------------------------------------------
 # Detect libcap
@@ -136,6 +185,16 @@
 
 
 # -----------------------------------------------------------------------------
+# Detect libxenstat
+
+pkg_check_modules(XENSTAT libxenstat)
+# later we use:
+# ${XENSTAT_LIBRARIES}
+# ${XENSTAT_CFLAGS_OTHER}
+# ${XENSTAT_INCLUDE_DIRS}
+
+
+# -----------------------------------------------------------------------------
 # Detect MacOS IOKit/Foundation framework
 
 IF(MACOS)
@@ -145,6 +204,71 @@
     # ${FOUNDATION}
     # ${IOKIT}
 ENDIF(MACOS)
+
+
+# -----------------------------------------------------------------------------
+# Detect libcrypto
+
+pkg_check_modules(CRYPTO libcrypto)
+# later we use:
+# ${CRYPTO_LIBRARIES}
+# ${CRYPTO_CFLAGS_OTHER}
+# ${CRYPTO_INCLUDE_DIRS}
+
+
+# -----------------------------------------------------------------------------
+# Detect libssl
+
+pkg_check_modules(SSL libssl)
+# later we use:
+# ${SSL_LIBRARIES}
+# ${SSL_CFLAGS_OTHER}
+# ${SSL_INCLUDE_DIRS}
+
+
+# -----------------------------------------------------------------------------
+# Detect libcurl
+
+pkg_check_modules(CURL libcurl)
+# later we use:
+# ${CURL_LIBRARIES}
+# ${CURL_CFLAGS_OTHER}
+# ${CURL_INCLUDE_DIRS}
+
+
+# -----------------------------------------------------------------------------
+# Detect libaws-cpp-sdk-core
+
+find_library(HAVE_AWS aws-cpp-sdk-core)
+# later we use:
+# ${HAVE_AWS}
+
+# -----------------------------------------------------------------------------
+# Detect libaws-cpp-sdk-kinesis
+
+find_library(HAVE_KINESIS aws-cpp-sdk-kinesis)
+# later we use:
+# ${HAVE_KINESIS}
+
+
+# -----------------------------------------------------------------------------
+# Detect libprotobuf
+
+pkg_check_modules(PROTOBUF protobuf)
+# later we use:
+# ${PROTOBUF_LIBRARIES}
+# ${PROTOBUF_CFLAGS_OTHER}
+# ${PROTOBUF_INCLUDE_DIRS}
+
+
+# -----------------------------------------------------------------------------
+# Detect libsnappy
+
+pkg_check_modules(SNAPPY snappy)
+# later we use:
+# ${SNAPPY_LIBRARIES}
+# ${SNAPPY_CFLAGS_OTHER}
+# ${SNAPPY_INCLUDE_DIRS}
 
 
 # -----------------------------------------------------------------------------
@@ -190,7 +314,14 @@
         libnetdata/threads/threads.h
         libnetdata/url/url.c
         libnetdata/url/url.h
-        )
+        libnetdata/json/json.c
+        libnetdata/json/json.h
+        libnetdata/json/jsmn.c
+        libnetdata/json/jsmn.h
+        libnetdata/health/health.c
+        libnetdata/health/health.h
+        libnetdata/socket/security.c
+        libnetdata/socket/security.h)
 
 add_library(libnetdata OBJECT ${LIBNETDATA_FILES})
 
@@ -243,133 +374,3 @@
         )
 
 set(FREEIPMI_PLUGIN_FILES
-        collectors/freeipmi.plugin/freeipmi_plugin.c
-        )
-
-set(NFACCT_PLUGIN_FILES
-        collectors/nfacct.plugin/plugin_nfacct.c
-        )
-
-set(PROC_PLUGIN_FILES
-        collectors/proc.plugin/ipc.c
-        collectors/proc.plugin/plugin_proc.c
-        collectors/proc.plugin/plugin_proc.h
-        collectors/proc.plugin/proc_diskstats.c
-        collectors/proc.plugin/proc_mdstat.c
-        collectors/proc.plugin/proc_interrupts.c
-        collectors/proc.plugin/proc_softirqs.c
-        collectors/proc.plugin/proc_loadavg.c
-        collectors/proc.plugin/proc_meminfo.c
-        collectors/proc.plugin/proc_net_dev.c
-        collectors/proc.plugin/proc_net_ip_vs_stats.c
-        collectors/proc.plugin/proc_net_netstat.c
-        collectors/proc.plugin/proc_net_rpc_nfs.c
-        collectors/proc.plugin/proc_net_rpc_nfsd.c
-        collectors/proc.plugin/proc_net_snmp.c
-        collectors/proc.plugin/proc_net_snmp6.c
-        collectors/proc.plugin/proc_net_sctp_snmp.c
-        collectors/proc.plugin/proc_net_sockstat.c
-        collectors/proc.plugin/proc_net_sockstat6.c
-        collectors/proc.plugin/proc_net_softnet_stat.c
-        collectors/proc.plugin/proc_net_stat_conntrack.c
-        collectors/proc.plugin/proc_net_stat_synproxy.c
-        collectors/proc.plugin/proc_self_mountinfo.c
-        collectors/proc.plugin/proc_self_mountinfo.h
-        collectors/proc.plugin/zfs_common.c
-        collectors/proc.plugin/zfs_common.h
-        collectors/proc.plugin/proc_spl_kstat_zfs.c
-        collectors/proc.plugin/proc_stat.c
-        collectors/proc.plugin/proc_sys_kernel_random_entropy_avail.c
-        collectors/proc.plugin/proc_vmstat.c
-        collectors/proc.plugin/proc_uptime.c
-        collectors/proc.plugin/sys_kernel_mm_ksm.c
-        collectors/proc.plugin/sys_devices_system_edac_mc.c
-        collectors/proc.plugin/sys_devices_system_node.c
-        collectors/proc.plugin/sys_fs_btrfs.c
-        collectors/proc.plugin/sys_class_power_supply.c
-        )
-
-set(TC_PLUGIN_FILES
-        collectors/tc.plugin/plugin_tc.c
-        collectors/tc.plugin/plugin_tc.h
-        )
-
-set(MACOS_PLUGIN_FILES
-        collectors/macos.plugin/plugin_macos.c
-        collectors/macos.plugin/plugin_macos.h
-        collectors/macos.plugin/macos_sysctl.c
-        collectors/macos.plugin/macos_mach_smi.c
-        collectors/macos.plugin/macos_fw.c
-        )
-
-set(PLUGINSD_PLUGIN_FILES
-        collectors/plugins.d/plugins_d.c
-        collectors/plugins.d/plugins_d.h
-        )
-
-set(REGISTRY_PLUGIN_FILES
-        registry/registry.c
-        registry/registry.h
-        registry/registry_db.c
-        registry/registry_init.c
-        registry/registry_internals.c
-        registry/registry_internals.h
-        registry/registry_log.c
-        registry/registry_machine.c
-        registry/registry_machine.h
-        registry/registry_person.c
-        registry/registry_person.h
-        registry/registry_url.c
-        registry/registry_url.h
-        )
-
-set(STATSD_PLUGIN_FILES
-        collectors/statsd.plugin/statsd.c
-        collectors/statsd.plugin/statsd.h
-        )
-
-set(RRD_PLUGIN_FILES
-        database/rrdcalc.c
-        database/rrdcalc.h
-        database/rrdcalctemplate.c
-        database/rrdcalctemplate.h
-        database/rrddim.c
-        database/rrddimvar.c
-        database/rrddimvar.h
-        database/rrdfamily.c
-        database/rrdhost.c
-        database/rrd.c
-        database/rrd.h
-        database/rrdset.c
-        database/rrdsetvar.c
-        database/rrdsetvar.h
-        database/rrdvar.c
-        database/rrdvar.h
-        )
-
-set(WEB_PLUGIN_FILES
-        web/server/web_client.c
-        web/server/web_client.h
-        web/server/web_server.c
-        web/server/web_server.h
-        web/server/static/static-threaded.c
-        web/server/static/static-threaded.h
-        web/server/web_client_cache.c
-        web/server/web_client_cache.h
-        )
-
-set(API_PLUGIN_FILES
-        web/api/web_api_v1.c
-        web/api/web_api_v1.h
-        web/api/badges/web_buffer_svg.c
-        web/api/badges/web_buffer_svg.h
-        web/api/exporters/allmetrics.c
-        web/api/exporters/allmetrics.h
-        web/api/exporters/shell/allmetrics_shell.c
-        web/api/exporters/shell/allmetrics_shell.h
-        web/api/queries/rrdr.c
-        web/api/queries/rrdr.h
-        web/api/queries/query.c
-        web/api/queries/query.h
-        web/api/queries/average/average.c
-        web/api/queries/average/average.h

## netdata 1.16.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -320,6 +320,7 @@
         libnetdata/json/jsmn.h
         libnetdata/health/health.c
         libnetdata/health/health.h
+        libnetdata/string/utf8.h
         libnetdata/socket/security.c
         libnetdata/socket/security.h)

=== debian/changelog ===
netdata (1.16.1-2) unstable; urgency=medium

  [ Katharina Drexel ]
  * fixing group permissions for reading logs
  * correct the file permissions so that the python plugins also work

  [ Daniel Baumann ]
  * Removing 'Sign In' infobar on the bottom of the screen (Closes:
    #930504).
  * Using bash instead of sh for edit-config.
  * Renumbering patches.
  * Also adding CAP_AUDIT_WRITE for netdata to allow plugins make use of
    PAM audit (Closes: #921409).
  * Adding README.Debian for netdata-web wwith a note about Content-
    Security-Policy headers, thanks to Katharina Drexel
    <katharina.drexel@bfh.ch> (Closes: #931843).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Aug 2019 20:15:39 +0200

netdata (1.16.1-1) unstable; urgency=medium

  * Merging upstream version 1.16.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 04 Aug 2019 10:58:23 +0200

netdata (1.16.0-1) unstable; urgency=medium

  * Merging upstream version 1.16.0.
  * Refreshing remove-infographic.patch.
  * Refreshing remove-update-button.patch.
  * Updating to standards-version 4.4.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 08 Jul 2019 22:25:30 +0200

netdata (1.15.0-1) experimental; urgency=medium

  * Merging upstream version 1.15.0.
  * Refreshing remove-update-button.patch.
  * Updating netdata-plugins-bash.install for ioping.
  * Avoid installing aws kinesis config, its backend is not enabled yet.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 14 Jun 2019 05:49:43 +0200

netdata (1.14.0-1) experimental; urgency=medium

  * Merging upstream version 1.14.0~rc0.
  * Refreshing use-python3.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 26 Apr 2019 18:23:04 +0200

netdata (1.14.0~rc0-1) experimental; urgency=medium

  * Merging upstream version 1.14.0~rc0.
  * Refreshing remove-googleanalytics.patch.
  * Refreshing remove-login.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 18 Apr 2019 07:18:07 +0200

netdata (1.13.0-1) experimental; urgency=medium

  * Merging upstream version 1.13.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 16 Mar 2019 08:52:05 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
  Federico Ceratto <federico@debian.org>,
  Daniel Baumann <daniel.baumann@progress-linux.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  libipmimonitoring-dev,
  pkg-config,
  uuid-dev,
  zlib1g-dev,
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.0
 Homepage: https://github.com/netdata/netdata
 Vcs-Browser: https://salsa.debian.org/debian/netdata
 Vcs-Git: https://salsa.debian.org/debian/netdata.git

=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,9 @@
 override_dh_auto_install:
 	dh_auto_install -B build-core -- DESTDIR=$(CURDIR)/debian/tmp
 
+	# Building without aws kinesis backend (needs aws sdk)
+	rm -f debian/tmp/usr/lib/netdata/conf.d/aws_kinesis.conf
+
 ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
 	dh_auto_install -B build-core-no-sse -- DESTDIR=$(CURDIR)/debian/tmp-core-no-sse
 endif
@@ -77,6 +80,7 @@
 	# Copy architecture dependent plugins
 	mkdir -p $(TOP)-core/etc/netdata
 	cp debian/local/netdata.conf $(TOP)-core/etc/netdata
+	touch $(TOP)-core/etc/netdata/.opt-out-from-anonymous-statistics
 
 	mkdir -p $(TOP)-core/usr/lib/netdata/plugins.d
 	for plugin in cgroup-network apps.plugin freeipmi.plugin; \
@@ -91,6 +95,7 @@
 
 	mkdir -p $(TOP)-core-no-sse/etc/netdata
 	cp debian/local/netdata.conf $(TOP)-core-no-sse/etc/netdata
+	touch $(TOP)-core-no-sse/etc/netdata/.opt-out-from-anonymous-statistics
 
 	mkdir -p $(TOP)-core-no-sse/usr/lib/netdata/plugins.d
 	for plugin in cgroup-network apps.plugin freeipmi.plugin; \
